Groovy Documentation

## org.codehaus.groovy.grails.validation
[Java] Class ConstrainedPropertyBuilder

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.util.BuilderSupport
              org.codehaus.groovy.grails.validation.ConstrainedPropertyBuilder

    public class ConstrainedPropertyBuilder
    extends groovy.util.BuilderSupport

Builder used as a delegate within the "constraints" closure of GrailsDomainClass instances .

Authors:
  Graeme Rocher

Constructor Summary
`ConstrainedPropertyBuilder(java.lang.Object target)`
`ConstrainedPropertyBuilder(java.lang.Class targetClass)`

Method Summary
`protected java.lang.Object` | `createNode(java.lang.Object name, java.util.Map attributes)`
`protected java.lang.Object` | `createNode(java.lang.Object name, java.util.Map attributes, java.lang.Object value)`
`protected java.lang.Object` | `createNode(java.lang.Object name)`
`protected java.lang.Object` | `createNode(java.lang.Object name, java.lang.Object value)`
`java.util.Map` | `getConstrainedProperties()`
`java.lang.String` | `getSharedConstraint(java.lang.String propertyName)`
`protected void` | `setParent(java.lang.Object parent, java.lang.Object child)`

Methods inherited from class groovy.util.BuilderSupport

groovy.util.BuilderSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.util.BuilderSupport#invokeMethod(java.lang.String), groovy.util.BuilderSupport#setProperty(java.lang.String, java.lang.Object), groovy.util.BuilderSupport#getProperty(java.lang.String), groovy.util.BuilderSupport#getMetaClass(), groovy.util.BuilderSupport#setMetaClass(groovy.lang.MetaClass), groovy.util.BuilderSupport#wait(), groovy.util.BuilderSupport#wait(long), groovy.util.BuilderSupport#wait(long, int), groovy.util.BuilderSupport#equals(java.lang.Object), groovy.util.BuilderSupport#toString(), groovy.util.BuilderSupport#hashCode(), groovy.util.BuilderSupport#getClass(), groovy.util.BuilderSupport#notify(), groovy.util.BuilderSupport#notifyAll()

Methods inherited from class groovy.lang.GroovyObjectSupport

groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### ConstrainedPropertyBuilder

    public ConstrainedPropertyBuilder(java.lang.Object target)

### ConstrainedPropertyBuilder

    public ConstrainedPropertyBuilder(java.lang.Class targetClass)

Method Detail

### createNode

    @SuppressWarnings("rawtypes")
    @Override
    protected java.lang.Object createNode(java.lang.Object name, java.util.Map attributes)

### createNode

    @SuppressWarnings("rawtypes")
    @Override
    protected java.lang.Object createNode(java.lang.Object name, java.util.Map attributes, java.lang.Object value)

### createNode

    @Override
    protected java.lang.Object createNode(java.lang.Object name)

### createNode

    @Override
    protected java.lang.Object createNode(java.lang.Object name, java.lang.Object value)

### getConstrainedProperties

    public java.util.Map getConstrainedProperties()

### getSharedConstraint

    public java.lang.String getSharedConstraint(java.lang.String propertyName)

### setParent

    @Override
    protected void setParent(java.lang.Object parent, java.lang.Object child)

Groovy Documentation